*   LONGUEUR : Calcule la longueur d'une chaine de caracteres en ignorant
*   les espaces et les TAB par la droite

      integer function longueur(chaine)
      character*(*) chaine

      longueur = len(chaine)
      if (longueur.eq.0) print *,'longueur nulle'
      do while ((longueur.gt.0).and.
     +  ((chaine(longueur:longueur).eq.char(9)).or.
     1   (chaine(longueur:longueur).eq.' ')))
        longueur = longueur-1
      enddo
      return
      end
